Name: net-snmp
Version: 5.2.1
Release: alt1

Summary: Tools and servers for the SNMP protocol
License: BSD-like
Group: System/Servers
Url: http://net-snmp.sourceforge.net
Packager: Konstantin Timoshenko <kt@altlinux.ru>

Source0: http://prdownloads.sourceforge.net/net-snmp/net-snmp-%version.tar.bz2
Source1: %name.init
Source2: %name.conf
Source3: %name.logrotate

Patch1: %name-5.2-alt-rpm4.patch
Patch2: %name-5.2-libtool.patch
Patch3: %name-5.2-perlmodules.patch
Patch4: %name-5.2-libwrap.patch 
Patch5: %name-5.2-ipAdEntIfIndex.patch
Patch6: %name-5.2-readme-v3.patch
Patch7: %name-5.2.1-trapreceiver.patch
Patch8: %name-5.2-configure-no-libelf.patch

%define persistentdir %_localstatedir/%name

PreReq: chkconfig
Requires: lib%name = %version-%release %name-mibs = %version-%release
Obsoletes: cmu-snmp ucd-snmp

BuildPreReq: librpm-devel >= 4.0.4, rpm-build >= 4.0.4

%def_disable static
%{?_enable_static:BuildPreReq: glibc-devel-static}

# we've got perl modules linked against libnetsnmp.so
%define __spec_autodep_custom_pre export LD_LIBRARY_PATH=%buildroot%_libdir

# Automatically added by buildreq on Mon May 30 2005 (-bi)
BuildRequires: chrpath fontconfig freetype2 libpopt-devel librpm-devel libssl-devel libwrap-devel net-snmp-utils pdksh perl-Encode perl-Term-ReadLine-Gnu perl-Tk perl-devel perl-libnet python-base python-modules-compiler python-modules-encodings

%package -n lib%name
Summary: The shared libraries for the Net-SNMP project
Group: System/Libraries

%package -n lib%name-devel
Summary: The development environment for the Net-SNMP project
Group: Development/C
Requires: lib%name = %version-%release
Provides: lib%name-devel = %version
Obsoletes: lib%name-devel

%package -n lib%name-devel-static
Summary: static libraries for lib%name
Group: Development/C
Obsoletes: lib%name-devel-static
Requires: lib%name-devel = %version-%release

%package utils
Summary: Network management utilities using SNMP, from the Net-SNMP project
Group: Networking/Other
Requires: lib%name = %version-%release %name-mibs = %version-%release
Obsoletes: cmu-snmp-utils, ucd-snmp-utils

%package mibs
Summary: MIB files from the Net-SNMP project
Group: Networking/Other

%package -n libucd-snmp
Summary: The shared libraries for the UCD-SNMP project
Group: System/Libraries

%package -n libucd-snmp-devel
Summary: The development environment for the UCD-SNMP project
Group: Development/C
Requires: libucd-snmp = %version-%release
Provides: libucd-snmp-devel = %version
Obsoletes: cmu-snmp-devel, libucd-snmp-devel

%package -n libucd-snmp-devel-static
Summary: static libraries for the UCD-SNMP project
Group: Development/C
Obsoletes: libucd-snmp-devel-static
Requires: libucd-snmp-devel = %version-%release

%package -n perl-SNMP
Summary: Perl SNMP Extension Module
Group: Development/Perl
Requires: lib%name = %version-%release

%description
SNMP (Simple Network Management Protocol) is a protocol used for network
management (hence the name).  The Net-SNMP project includes various SNMP
tools; an extensible agent, an SNMP library, tools for requesting or
setting information from SNMP agents, tools for generating and handling
SNMP traps, a version of the netstat command which uses SNMP, and a
Tk/Perl mib browser.  This package contains the snmpd and snmptrapd
daemons, documentation, etc.

Install the %name package if you need network management tools.
You will probably also want to install the %name-utils package, which
contains Net-SNMP utilities.

%description -n lib%name
The lib%name package contains the shared libraries required for
Net-SNMP software.

%description -n lib%name-devel
This package contains include files required for development
applications for use with the Net-SNMP project's network management
tools. You'll also need to have the lib%name and %name-utils packages
installed.

%description -n lib%name-devel-static
This package contains static libraries required for development
statically linked applications for use with the Net-SNMP project's
network management tools. You'll also need to have the lib%name-devel
package installed.

%description utils
The %name package contains various utilities for use with the
Net-SNMP network management project.

Install this package if you need utilities for managing your network
using the SNMP protocol.  You'll also need to install the %name
package.

%description mibs
The %name package contains various MIB files for use with the
Net-SNMP network management project.

%description -n libucd-snmp
The libucd-snmp package contains the shared libraries required for
UCD-SNMP software.

%description -n libucd-snmp-devel
This package contains include files required for development
applications for use with the UCD-SNMP project's network management
tools.

%description -n libucd-snmp-devel-static
This package contains static libraries required for development
statically linked applications for use with the UCD-SNMP project's
network management tools. You'll also need to have the libucd-snmp-devel
package installed.

%description -n perl-SNMP
This is the Perl5 'SNMP' extension module. The SNMP module provides
a full featured, tri-lingual SNMP (SNMPv3, SNMPv2c, SNMPv1) API.
The SNMP module also provides an interface to the SMI MIB parse-tree
for run-time access to parsed MIB data.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

%build
%__autoconf
%{?!_enable_static:export lt_cv_prog_cc_static_works=no}
%configure %{subst_enable static} \
	--enable-shared \
	--with-cflags="$RPM_OPT_FLAGS" \
	--with-sys-location="Unknown" \
	--with-sys-contact="root@localhost" \
	--with-logfile="/var/log/snmpd.log" \
	--with-includedir=%_includedir/%name \
	--with-persistent-directory="%persistentdir" \
	--with-mib-modules="host ucd-snmp/pass_persist" \
	--with-libwrap \
	--with-openssl \
	--with-sysconfdir=%_sysconfdir/%name \
	--with-default-snmp-version="1" \
	--enable-ucd-snmp-compatibility \
	--with-defaults
#	--enable-embedded-perl

%make

# XXX tests fail
%def_without test

#if [ ! -d /proc/1 ]; then
#: /proc not available, removing some tests
#%__rm -fv t/bulkwalk.t t/get.t
#fi

# this subset of perl modules is recommended in perl/Makefile.PL
# the order matters for tests!
%define perl_subdirs default_store ASN SNMP OID agent TrapReceiver 

# build perl modules
for d in %perl_subdirs; do
	pushd perl/$d
	export PERL5LIB="$PERL5LIB:$PWD/blib/lib:$PWD/blib/arch"
	export EXTRA_BLIBS=`%__perl -MExtUtils::Embed -e ldopts`
	%perl_vendor_build --NET-SNMP-CONFIG=../../net-snmp-config --NET-SNMP-IN-SOURCE=true
	popd
done

%install
%makeinstall INSTALL='$(LIBTOOL) --mode=install /usr/bin/install -c' \
	     includedir=$RPM_BUILD_ROOT%_includedir/%name \
	     ucdincludedir=$RPM_BUILD_ROOT%_includedir/ucd-snmp

%__mkdir_p $RPM_BUILD_ROOT%_initdir
%__mkdir_p $RPM_BUILD_ROOT%persistentdir
%__mkdir_p $RPM_BUILD_ROOT%_defaultdocdir/perl-SNMP-%version

%__install -p -m755 -D %SOURCE1 $RPM_BUILD_ROOT%_initdir/snmpd
%__install -p -m640 -D %SOURCE2 $RPM_BUILD_ROOT%_sysconfdir/snmp/snmpd.conf
%__install -p -m644 -D %SOURCE3 $RPM_BUILD_ROOT%_sysconfdir/logrotate.d/snmpd

# Remove tkmib.
%__rm -fv $RPM_BUILD_ROOT%_bindir/tkmib

# install perl modules
for d in %perl_subdirs; do
	pushd perl/$d
	%perl_vendor_install
	popd
done

# perl loadable objects contain $RPM_BUILD_DIR-dependent RPATH
chrpath -d `find $RPM_BUILD_ROOT%perl_vendor_autolib -type f -name '*.so'`

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%post -n libucd-snmp -p %post_ldconfig
%postun -n libucd-snmp -p %postun_ldconfig

%post
/usr/sbin/useradd -r -d /dev/null -s /dev/null -n snmp >/dev/null 2>&1 ||:
/usr/sbin/usermod -g proc snmp &>/dev/null ||:

%post_service snmpd

%preun
%preun_service snmpd

%files
%doc AGENT.txt COPYING ChangeLog EXAMPLE.conf FAQ NEWS PORTING README* TODO
%doc local/{README.mib2c,passtest,ipf-mod.pl}
%dir %_sysconfdir/snmp
%config(noreplace) %attr(0640,snmp,root) %_sysconfdir/snmp/snmpd.conf
%config(noreplace) %_initdir/snmpd
%config(noreplace) %_sysconfdir/logrotate.d/snmpd
%_bindir/snmpconf
%_bindir/snmpusm
%_sbindir/snmpd
%_sbindir/snmptrapd

#%_datadir/snmp/snmp_perl.pl
%_datadir/snmp/snmpconf-data
%attr(0770,snmp,root) %persistentdir
%_mandir/man1/snmpconf.*
%_mandir/man1/snmpusm.*
%_mandir/man5/snmpd.conf.*
%_mandir/man5/snmptrapd.conf.*
%_mandir/man8/snmpd.*
%_mandir/man8/snmptrapd.*

%files -n lib%name
%_libdir/libnetsnmp.so.*
%_libdir/libnetsnmpagent.so.*
%_libdir/libnetsnmphelpers.so.*
%_libdir/libnetsnmpmibs.so.*
%_libdir/libnetsnmptrapd.so.*

%files mibs
%_datadir/snmp/mibs

%files utils
%_datadir/snmp/mib2c-data
%_datadir/snmp/mib2c.*.conf
%_bindir/encode_keychange
%_bindir/mib2c
%_bindir/mib2c-update
%_bindir/snmpbulkget
%_bindir/snmpget
%_bindir/snmpnetstat
%_bindir/snmptable
%_bindir/snmptrap
%_bindir/snmpwalk
%_bindir/fixproc
%_bindir/snmpbulkwalk
%_bindir/snmpdelta
%_bindir/snmpgetnext
%_bindir/snmpset
%_bindir/snmptest
%_bindir/traptoemail
%_bindir/snmpcheck
%_bindir/snmpdf
%_bindir/snmpinform
%_bindir/snmpstatus
%_bindir/snmptranslate
%_bindir/snmpvacm
%_datadir/snmp/mib2c.conf
%_mandir/man1/mib2c.*
%_mandir/man1/snmpbulkget.*
%_mandir/man1/snmpget.*
%_mandir/man1/snmpnetstat.*
%_mandir/man1/snmptable.*
%_mandir/man1/snmptrap.*
%_mandir/man1/snmpwalk.*
%_mandir/man1/snmpbulkwalk.*
%_mandir/man1/snmpdelta.*
%_mandir/man1/snmpgetnext.*
%_mandir/man1/snmpset.*
%_mandir/man1/snmptest.*
%_mandir/man1/snmpcmd.*
%_mandir/man1/snmpdf.*
%_mandir/man1/snmpinform.*
%_mandir/man1/snmpstatus.*
%_mandir/man1/snmptranslate.*
%_mandir/man1/snmpvacm.*
%_mandir/man5/mib2c.*
%_mandir/man5/snmp.conf.*
%_mandir/man5/snmp_config.*
%_mandir/man5/variables.*

%files -n lib%name-devel
%_bindir/net-snmp-config
%_libdir/libnetsnmp.so
%_libdir/libnetsnmpagent.so
%_libdir/libnetsnmphelpers.so
%_libdir/libnetsnmpmibs.so
%_libdir/libnetsnmptrapd.so
%_includedir/%name
%_man3dir/*
%exclude %perl_vendor_man3dir/SNMP*
%exclude %perl_vendor_man3dir/NetSNMP*

%if_enabled static
%files -n lib%name-devel-static
%_libdir/libnetsnmp.a
%_libdir/libnetsnmpagent.a
%_libdir/libnetsnmphelpers.a
%_libdir/libnetsnmpmibs.a
%endif

%files -n libucd-snmp
%_libdir/libsnmp.so.*

%files -n libucd-snmp-devel
%_libdir/libsnmp.so
%_includedir/ucd-snmp

%if_enabled static
%files -n libucd-snmp-devel-static
%_libdir/libsnmp.a
%endif

%files -n perl-SNMP
%doc perl/SNMP/{examples,README,BUG,TODO}
%perl_vendor_man3dir/SNMP*
%perl_vendor_man3dir/NetSNMP*
%perl_vendor_archlib/SNMP*
%perl_vendor_autolib/SNMP*
%perl_vendor_archlib/NetSNMP*
%perl_vendor_autolib/NetSNMP*
#%_datadir/snmp/snmp_perl_trapd.pl

%changelog
* Mon May 30 2005 Konstantin Timoshenko <kt@altlinux.ru> 5.2.1-alt1
- 5.2.1

* Tue Dec 14 2004 Konstantin Timoshenko <kt@altlinux.ru> 5.2-alt1
- 5.2
- Moved mib files to net-snmp-mibs subpackage.
- fix #5518, #5534, #5617

* Fri Nov 12 2004 ALT QA Team Robot <qa-robot@altlinux.org> 5.1.2-alt2.1
- Removed libelf-devel from build dependencies.

* Wed Oct 20 2004 Konstantin Timoshenko <kt@altlinux.ru> 5.1.2-alt2
- fixed bug #0005367

* Thu Aug 26 2004 Konstantin Timoshenko <kt@altlinux.ru> 5.1.2-alt1
- 5.1.2
- Move %_bindir/net-snmp-config to lib%name-devel (closes: #5068) Sir Raorn <raorn@altlinux.ru>

* Mon May 10 2004 ALT QA Team Robot <qa-robot@altlinux.org> 5.1.1-alt1.1
- Rebuilt with openssl-0.9.7d.

* Wed Apr 21 2004 Konstantin Timoshenko <kt@altlinux.ru> 5.1.1-alt1
- 5.1.1

* Wed Mar 03 2004 Konstantin Timoshenko <kt@altlinux.ru> 5.1-alt3
- rebuild with libdb4.2

* Wed Feb 18 2004 Konstantin Timoshenko <kt@altlinux.ru> 5.1-alt2
- fix init script
- add in group proc

* Tue Dec 30 2003 Konstantin Timoshenko <kt@altlinux.ru> 5.1-alt1
- 5.1

* Tue Dec 16 2003 Alexey Tourbin <at@altlinux.ru> 5.0.9-alt2
- perl-SNMP package built
- lib{net,ucd}-snmp-devel-static not packaged by default
- additional spec conventions enforcement

* Wed Oct 22 2003 Konstantin Timoshenko <kt@altlinux.ru> 5.0.9-alt1
- 5.0.9

* Mon Jan 20 2003 Rider <rider@altlinux.ru> 4.2.3-alt8
- fixed bug #0001668 (snmpd MUST HAVE rw access to /var/lib/ucd-snmp)

* Wed Dec 04 2002 AEN <aen@altlinux.ru> 4.2.3-alt7
- rebuilt with gcc-3.2

* Wed Aug 21 2002 Alexander Bokovoy <ab@altlinux.ru> 4.2.3-alt6
- Fix disk option problem again

* Tue Jul 30 2002 Alexander Bokovoy <ab@altlinux.ru> 4.2.3-alt5
- Fix disk option problem (see below)
- http://sourceforge.net/tracker/?group_id=12694&atid=112694&func=detail&aid=498809

* Thu Apr 18 2002 Alexander Bokovoy <ab@altlinux.ru> 4.2.3-alt4
- Fix includes

* Wed Mar 27 2002 Dmitry V. Levin <ldv@alt-linux.org> 4.2.3-alt3
- Added librpm-4.0.4 build support.
- Built with librpm-4.0.4, updated buildrequires.

* Thu Mar 14 2002 Rider <rider@altlinux.ru> 4.2.3-alt2
- requires fix

* Sat Feb 09 2002 Rider <rider@altlinux.ru> 4.2.3-alt1
- 4.2.3
- add RH patches

* Fri Nov 09 2001 Dmitry V. Levin <ldv@alt-linux.org> 4.2.1-alt4
- Built without librpm support.

* Fri Aug 24 2001 Rider <rider@altlinux.ru> 4.2.1-alt3
- added security patches from Caldera

* Fri Aug 17 2001 Rider <rider@altlinux.ru> 4.2.1-alt2
- default config file changed
- ifdef path from SuSE
- snmpd new started over snmp user

* Mon Jun 04 2001 Alexander Bokovoy <ab@altlinux.ru> 4.2.1-alt1
- 4.2.1
- Installation fixed for broken libtool usage
- Null patch from RH applied
- BuildRequires cleaned

* Thu May 31 2001 Dmitry V. Levin <ldv@altlinux.ru> 4.2-ipl2mdk
- Added patch so that only four bytes are returned for IP addresses on ia64 (rh #32244).
- Added patch to correcly handle a NULL value (rh #35016).
- Moved static libraries to devel-static subpackage.
- Fixed libraries, binaries and manpages packaging.

* Mon Feb 05 2001 Dmitry V. Levin <ldv@fandra.org> 4.2-ipl1mdk
- 4.2
- Merged RH patches.
- Libification.
- RE adaptions.

* Wed Nov 22 2000 Vincent Saugey <vince@mandrakesoft.com> 4.1.2-5mdk
- Move include in correct dir

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.1.2-4mdk
- automatically added BuildRequires

* Wed Aug  2 2000 Vincent Saugey <vince@mandrakesoft.com> 4.1.2-3mdk
- Corrected a dependencie

* Fri Jul 28 2000 Vincent Saugey <vince@mandrakesoft.com> 4.1.2-2mdk
- Macro, BM

* Mon Jun 12 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 4.1.2-1mdk
- updated to 4.1.2
- removed ucd-snmp-man.patch, has been fixed with 4.1.2

* Tue Jun  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.1.1-6mdk
- Remove crappy perl-PDL dependences.

* Thu May 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.1.1-5mdk
- libtoolizifications.

* Wed Apr 12 2000 Vincent Saugey <vince@mandrakesoft.com> 4.1.1-4mdk
- Correct ldconfig in postun

* Sat Mar 25 2000 Vincent Saugey <vince@mandrakesoft.com> 4.1.1-3mdk
- many change in config snmpd file

* Thu Mar 23 2000 Vincent Saugey <vince@mandrakesoft.com> 4.1.1-2mdk
- Remove tkmib
- Patch for broken link in man page

* Thu Mar 21 2000 Vincent Saugey <vince@mandrakesoft.com> 4.1.1-1mdk
- Update to 4.1.1
- Modification in spec file
- corrected group

* Mon Jan 24 2000 Francis Galiegue <francis@mandrakesoft.com>
- Fixed spec file (%install tried to mkdir /var/ucd-snmp)

* Tue Nov 30 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- --with-libwrap, not --with-libwrap="-lwrap -lnsl" (rh on crack)
- bump spec to 3mdk to get above Chmouel

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMP check/build
- 4.0.1 + redhat patches

* Sat Jul 17 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 3.6.2

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Thu Apr  8 1999 Wes Hardaker <wjhardaker@ucdavis.edu>
- fix Source0 location.
- fix the snmpd.conf file to use real community names.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 3)

* Fri Mar 19 1999 Preston Brown <pbrown@redhat.com>
- upgrade to 3.6.1, fix configuration file stuff.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Feb  2 1999 Jeff Johnson <jbj@redhat.com>
- restore host resources mib
- simplified config file
- rebuild for 6.0.

* Tue Dec 22 1998 Bill Nottingham <notting@redhat.com>
- remove backup file to fix perl dependencies

* Tue Dec  8 1998 Jeff Johnson <jbj@redhat.com>
- add all relevant rpm scalars to host resources mib.

* Sun Dec  6 1998 Jeff Johnson <jbj@redhat.com>
- enable libwrap (#253)
- enable host module (rpm queries over SNMP!).

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries

* Fri Oct  2 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.5.3.
- don't include snmpcheck until perl-SNMP is packaged.

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- ucd-snmpd.init: start daemon w/o -f.

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- don't start snmpd unless requested
- start snmpd after pcmcia.

* Sun Jun 21 1998 Jeff Johnson <jbj@redhat.com>
- all but config (especially SNMPv2p) ready for prime time

* Sat Jun 20 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.5.

* Tue Dec 30 1997 Otto Hammersmith <otto@redhat.com>
- created the package... possibly replace cmu-snmp with this.

